@Senture

Не работает yandex карта flutter, в чем может быть дело?

Поступила задача, сделать MVP приложение для android и ios, основной функционал завязан на карте. Но уже третий день не могу запустить подложку карт на андроид (пробовал и эмулятор и физ. девайс)

Делал по гайду https://yandex.ru/dev/mapkit/doc/ru/flutter/genera...

Результат:

66595f3b64674432874340.png


Что выдает консоль:

Launching lib\main.dart on sdk gphone64 x86 64 in debug mode...
√ Built build\app\outputs\flutter-apk\app-debug.apk
Connecting to VM Service at ws://127.0.0.1:52770/3z6h0B_c5hM=/ws
I/PlatformViewsController(17356): Hosting view in view hierarchy for platform view: 0
I/PlatformViewsController(17356): PlatformView is using SurfaceProducer backend
D/CompatibilityChangeReporter(17356): Compat change id reported: 236825255; UID 10193; state: ENABLED
E/FrameEvents(17356): updateAcquireFence: Did not find frame.
W/yandex.maps(17356): XMCuGl4Nfl5wkXbkDBlj: Create OpenGl ES context version 3
E/libEGL  (17356): call to OpenGL ES API with no current context (logged once per thread)
D/CompatibilityChangeReporter(17356): Compat change id reported: 193247900; UID 10193; state: ENABLED
3
E/FrameEvents(17356): updateAcquireFence: Did not find frame.

Ошибки пробовал гуглить, решения найти не удалось


Вчера выглядело так:

66595fedc9574267444064.jpeg


Уже не понимаю в чем дело, поиск решения в интернете результатов не дает, пробовал и другие гайды, но там появляются проблемы из разряда flutter перешел на более новую версию и структура где то поменялась.

P.S. Важно что бы в приложении были именно Yandex карты.
  • Вопрос задан
  • 82 просмотра
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
12 июл. 2024, в 23:00
20 руб./за проект
12 июл. 2024, в 22:46
1000 руб./в час
12 июл. 2024, в 22:07
3000 руб./за проект